.dragees-component {
  position: relative;
  width: calc(100% - 340px);
  align-self: start;
  padding-left: 10%;

  @media screen and (min-width: 1360px) {
    padding-left: 20%;
  }

  &--hide-form {
    margin-top: 2em;
  }

  &--header {
    text-align: center;
    margin: 0 auto;

    h1 {
      text-transform: uppercase;
      font-size: 2rem;
      color: #9EA850;
      font-weight: 700;

      &:first-child {
        color: #62812E
      }
    }
  }

  &--content {

    h2 {
      border: 3px solid #484848;
      color: #484848;
      font-weight: 600;
      width: max-content;
      margin: 0 auto 1em auto;
      padding: .2em 2em;
    }

    p {
      padding: 0 35px;
      text-align: center;
      margin: 2em;
      color: #484848;
      font-size: 1em;
    }
  }

  &--products {
    border-top: 3px solid #532C2E;
    margin: 2em auto;
    display: flex;
    flex-direction: column;
    width: calc(100% - 120px);
    text-align: center;

    &-btn-next {
      display: none;
    }

    &-arrow {
      display: none;
    }

    &-item {
      position: relative;
      display: flex;
      width: max-content;
      margin: auto;
      margin-top: 3em;

      &-active {
        .dragees-component--products-item-img {
          &-container img {
            border: 4px solid #F4C710;
          }
        }
      }

      &-img {
        position: relative;
        cursor: pointer;

        &-container {
          border-right: 5px solid #939b25;
          //background: #fff;
          height: 100%;
          padding-right: 15px;
          display: flex;
          align-items: center;
        }

        img {
          width: 180px;
          object-fit: contain;

          @media screen and (min-width: 1360px) {
            width: 200px;
          }
        }
      }

      &-data {
        text-align: left;
        @include vert-center;
        flex-direction: column;
        justify-content: start;
        width: 280px;
        color: #484848;
        min-height: 180px;
        margin-left: 2em;

        @media screen and (min-width: 1360px) {
          width: 320px;
        }

        h2 {
          margin: 0 0 1em 0;
          font-weight: 700;
          color: #532C2E;
          text-transform: uppercase;
        }

        p {
          font-size: small;
        }

        span {
          font-style: italic;
          font-weight: 500;
          font-size: small;
          color: #532C2E;
          line-height: 1em;
          margin: 1em 0;
        }
      }
    }
  }

  @media screen and (max-width: 996px) {
    width: 100vw;
    align-self: start;
    padding-left: 0;
    overflow: hidden;

    &--header {
      padding: 0 1em;
      padding-top: 30px;

      h1 {
        font-size: 1.5em;
      }
    }


    &--products {
      margin-top: 0;
      padding-bottom: 10px;
      position: relative;
      top: 0;
      width: 100vw;
      background: url('../../../../assets/img/matas.png') no-repeat #f3f3f3;
      background-size: 100%;
      background-position: center top;
      @include open-matas;
      height: 120px;

      display: flex;
      margin: 0 auto;

      &-item {
        margin-top: 1em;
        margin-bottom: 1em;
        height: 120px;
      }

      &-item-img img {
        width: 120px;
      }

      &-item-data {
        width: 210px;
        height: 100px;
        margin-left: 1em;

        h2 {
          margin-bottom: 0;
        }

        p {
          display: none;
        }
      }

      &-btn-next {
        display: block;
        position: sticky;
        z-index: 1;
        transition: all ease-in .5s;
        width: 100%;
        top: 0;
        padding: 3px 2em;
        margin: auto;
        font-size: larger;
        margin-bottom: 1em;
        border-radius: 3px;
        background: #F2CB0E;
        font-weight: bold;
        color: #532C2E;

        &:disabled,
        &[disabled] {
          background: #CCCCCC;
          color: #9B9B9B;
        }
      }


      &-arrow {
        display: block;
        background: #532C2E;
        position: relative;
        // margin-top: 20px;
        height: 15px;
        width: 100%;
        box-shadow: 14px 0px 19px #0000007E;

        span {
          position: absolute;
          width: 30px;
          height: 30px;
          top: -10px;
          left: calc(50% - 15px);
          font-size: 22px;
          z-index: 2;
          color: #fff;
          background: #532C2E;
          border-radius: 50%;
          display: flex;
          justify-content: center;
          align-items: center;
          transition: transform ease-in .5s;
        }

        &-open {
          span {
            transform: rotate(180deg);
          }
        }
      }

      &-open {
        height: 100%;
      }
    }



    &--content {
      height: 330px;
      transition: height ease-in .5s;
      overflow: auto;

      &-open {
        height: 0;
      }

      p {
        margin: 1em 0;
      }
    }

    &--hide-form {
      .contact-component {
        display: none;
      }
    }
  }
}